<bugID>1075172<Summary>Addon Debugging and Browser Toolbox fail when port is unavailable</Summary><Description>User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:32.0) Gecko/20100101 Firefox/32.0
Build ID: 20140831201947

Steps to reproduce:

1. Make sure you have at least one debug-able addon installed.
2. Make sure addon debugging is allowed
  2.1 Open developer tools (Ctrl+Shift+k)
  2.2 Settings tab, gear icon
  2.3 Tick 'Enable chrome and addon debugging' in 'Advanced settings' section
2. Open about:addons
3. Click 'Debug' on arbitrary addon
4. Click 'Cancel' on 'Incoming connection' dialog (Empty window (uninitialized debugger) remains visible)
5. Click 'Debug' on arbitrary addon


Actual results:

Nothing happens.

If you run firefox from console, following message appears in console:
DBG-SERVER: Could not start debugging listener on '6080': [Exception... "Component returned failure code: 0x804b0036 (NS_ERROR_SOCKET_ADDRESS_IN_USE) [nsIServerSocket.initSpecialConnection]"  nsresult: "0x804b0036(NS_ERROR_SOCKET_ADDRESS_IN_USE)"  location: "JS frame :: resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/main.js :: DS_openListener :: line 463"  data: no]

If the empty window is closed, everything gets ok.


Expected results:

The empty debugger window should be automatically closed after the connection is refused in step 4 of Steps to reproduce.</Description></bugID>